Subject: Re: bug#67217: [PATCH] Improve docstring argument conventions

From: Eli Zaretskii <[email-masked]>
Date: Fri, 17 Nov 2023 09:06:16 +0200

> From: Jeremy Bryant <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 16 Nov 2023 23:55:29 +0000
> 
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > So let me turn the table and ask you: why did you think the existing
> > text is insufficient in this aspect?
> 
> I thought your wording was clearer than the manual and proposed adapting
> the manual to your wording and to be more explicit about mandatory and optional.
> 
> I accept that it is comparable.

"Mandatory" is just my personal rule of thumb, which is just easy to
explain.  But maybe you are right, and it helps explain this tip,
thanks for pointing that out.  So I've now added a note about
mandatory arguments there, in the hope that it helps.

And with that, I'm closing the bug.